#include <bits/stdc++.h>

using namespace std;



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin >> n >> m;
    vector<pair<int ,int>> vage(n);
    map < int, pair<int, int>> recnik;
    bool moze = true;
    for(int i=0; i<n; i++)
    {
        cin >> vage[i].first >> vage[i].second;
        if(vage[i].first != vage[i].second)
        {
            moze =false;
        }
    }
    int l,r,x;
    for(int i=0; i<m; i++)
    {
        int brojac =0;
        cin >> l >> r >> x;
        for(int j=l-1; j<r; j++)
        {
            if(vage[j].first <= x && vage[j].second >= x)
            {
                brojac++;
            }
        }
        cout << brojac << endl;
    }



}